   /* global Papa */

   const DOMEvents = {
      cargarCSV() {
         $('#btnCargar').click(function () {
            var archivo;
            $('#filePrueba').parse({
               header: true,
               dynamicTyping: false,
               encoding: "ISO-8859-1",
               before: function (file) {
                  archivo = file;
               }
            });
            Papa.parse(archivo, {
               header: true,
               dynamicTyping: false,
               encoding: "ISO-8859-1",
               complete: function (results) {
                  $('#txtJson').html(JSON.stringify(results.data, undefined, 2))
               }
            })
         })
      }
   }